<?php

namespace Drupal\basket\Admin\Page;

class StockProduct{
	protected static $Basket;

	function __construct(){
		self::$Basket = \Drupal::service('Basket');
	}
	public function page(){
		return [
			'statBlock'		=> self::$Basket->full('getProductStatBlock'),
			'list'			=> [
				'#prefix'		=> '<div class="basket_table_wrap">',
				'#suffix'		=> '</div>',
				'title'			=> [
					'#prefix'		=> '<div class="b_title">',
					'#suffix'		=> '</div>',
					'#markup'		=> self::$Basket->Translate()->t('Product List')
				],
				'content'		=> [
					'#prefix'		=> '<div class="b_content">',
					'#suffix'		=> '</div>',
					'view'			=> self::$Basket->getView('basket', 'block_3')
				]
			]
		];
	}
}